| Name | URI | Description | ||||
| GET | /loadbalancers/loadBalancerId/accesslist
|
List the access list. | ||||
| POST | /loadbalancers/loadBalancerId/accesslist
|
Create a new access list or append to an existing access list. | ||||
| DELETE | /loadbalancers/loadBalancerId/accesslist/networkItemId
|
Remove a network item from the access list. | ||||
| DELETE | /loadbalancers/loadBalancerId/accesslist
|
Remove the entire access list. | ||||
| DELETE | /loadbalancers/loadBalancerId/accesslist?id=networkItemId
&id=networkItemId
|
Batch delete the access list network items given specified id list. | ||||
Normal Response Code(s): 200, 202
Error Response Code(s): loadbalancerFault (400, 500), serviceUnavailable (503), unauthorized (401), badRequest (400), overLimit (413)
This operation does not require a request body.
When issuing a POST to add to an access list, one or more network items are required. If a populated access list already exists for the load balancer, it will be appended to with subsequent POST requests. One access list may include up to 100 network items A single address or subnet definition is considered unique and cannot be duplicated between items in an access list.
The following table lists the required and optional attributes for Create or Append To Access List:
| Name | Description | Required | ||
| address | IP address for item to add to access list. | Yes | ||
| type |
Type of item to add:
|
Yes | ||
There are two DELETE operations for the access list. One allows for deletion of multiple network items in an access list, or the entire accesslist, and the other for deletion of a specific network item in the access list.
Example 4.59. List Access List Response: XML
<accessList xmlns="http://docs.openstack.org/loadbalancers/api/v1.0">
<networkItem
id="1000"
address="206.160.165.40"
type="ALLOW" />
<networkItem
id="1001"
address="206.160.165.0/24"
type="DENY" />
</accessList>
Example 4.60. List Access List Response: JSON
{
"accessList": [
{
"address": "206.160.163.21",
"id": 23,
"type": "DENY"
},
{
"address": "206.160.165.11",
"id": 24,
"type": "DENY"
},
{
"address": "206.160.163.21",
"id": 25,
"type": "DENY"
},
{
"address": "206.160.165.11",
"id": 26,
"type": "DENY"
},
{
"address": "206.160.123.11",
"id": 27,
"type": "DENY"
},
{
"address": "206.160.122.21",
"id": 28,
"type": "DENY"
},
{
"address": "206.140.123.11",
"id": 29,
"type": "DENY"
},
{
"address": "206.140.122.21",
"id": 30,
"type": "DENY"
}
]
}
Example 4.61. List Atom Access List Response: XML
<?xml version='1.0' encoding='UTF-8'?>
<feed xmlns="http://www.w3.org/2005/Atom">
<link rel="next"
href="https://ord.loadbalancers.api.rackspacecloud.com/v1.0/1234/loadbalancers/141/accesslist.atom?page=2"/>
<title type="text">Access List Feed</title>
<id>1234-loadbalancers-141-accesslist</id>
<author>
<name>Rackspace Cloud</name>
</author>
<entry>
<title type="text">Access List Updated</title>
<summary
type="text">Access list successfully updated with the following network item: id: '2155', address: '206.160.163.210', type: 'DENY'
</summary>
<author>
<name>tvardema</name>
</author>
<link href="https://ord.loadbalancers.api.rackspacecloud.com/v1.0/1234/loadbalancers/141/accesslist/"/>
<id>1234-loadbalancers-141-accesslist-2011971658310</id>
<category term="UPDATE"/>
<updated>2011-04-07T16:58:31.000Z</updated>
</entry>
<entry>
<title type="text">Access List Updated</title>
<summary
type="text">Access list successfully updated with the following network item: id: '2156', address: '206.160.165.110', type: 'DENY'
</summary>
<author>
<name>tvardema</name>
</author>
<link href="https://ord.loadbalancers.api.rackspacecloud.com/v1.0/1234/loadbalancers/141/accesslist/"/>
<id>1234-loadbalancers-141-accesslist-2011971658310</id>
<category term="UPDATE"/>
<updated>2011-04-07T16:58:31.000Z</updated>
</entry>
</feed>
Example 4.62. Update Access List Attributes Request: XML
<accessList xmlns="http://docs.openstack.org/loadbalancers/api/v1.0">
<networkItem
address="206.160.165.1"
type="ALLOW" />
<networkItem
address="206.160.165.2"
type="DENY" />
</accessList>
Example 4.63. Update Access List Attributes Request: JSON
{
"accessList": [
{
"address": "206.160.163.21",
"type": "DENY"
},
{
"address": "206.160.165.11",
"type": "DENY"
}
]
}

